package com.srs.teacher.domain.dto;

import java.util.Date;

public class ConversationDTO {
    private String id; // 会话 ID
    private String name; // 会话名称，默认由大语言模型生成。
    private String introduction; // 开场白
    private Date created_at; // 创建时间
    private Date updated_at; // 更新时间

    // Getters and Setters for the properties
    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getIntroduction() {
        return introduction;
    }

    public void setIntroduction(String introduction) {
        this.introduction = introduction;
    }

    public Date getCreated_at() {
        return created_at;
    }

    public void setCreated_at(Date created_at) {
        this.created_at = created_at;
    }

    public Date getUpdated_at() {
        return updated_at;
    }

    public void setUpdated_at(Date updated_at) {
        this.updated_at = updated_at;
    }
}

